System.Web 1.0.5000.0 2.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.Web.UI.HtmlControls.HtmlInputControl System.Web.UI.IPostBackEventHandler System.Web.UI.SupportsEventValidation System.ComponentModel.DefaultEvent("ServerClick")

Use the class to create button controls on a Web page. An <input type=button> HTML element is a push button with no default behavior when clicked. An <input type=submit> HTML element is a button that submits a form when clicked. An <input type=reset> HTML button resets all controls to their initial values when clicked.

In ASP.NET 2.0, use the class and the class to create Reset and Submit buttons, respectively.

For a list of initial property values for an instance of , see the constructor.

Allows programmatic access to the HTML <input type= button>, <input type= submit>, and <input type= reset> elements on the server.

- Constructor

  The following table shows the initial property value for an instance of .

  Property

  Value

  The "button" literal string.

  Initializes a new instance of the class using default values.

  1.0.5000.0
  2.0.0.0
- Constructor

  The following table shows the initial property value for an instance of .

  Property

  Value

  The value of the parameter.

  The following table shows the different possible values for the parameter.

  Value

  Description

  button

  A command button.

  submit

  A button that submits the form to the server.

  reset

  A button that clears the form.

  Initializes a new instance of the class using the specified button type.

  The input button type.
  1.0.5000.0
  2.0.0.0
- Property
  System.Boolean To be added: an object of type 'bool'

  By default, page validation is performed when an control is clicked. Page validation determines whether the input controls associated with a validation control on the page all pass the validation rules specified by the validation control.

  You can specify or determine whether validation is performed on both the client and the server when an control is clicked by using the property. To prevent validation from being performed, set the property to false.

  This property is commonly used in the event handler for the event to prevent page validation from occurring when a Cancel or Reset button is clicked.

  Gets or sets a value indicating whether validation is performed when the control is clicked.

  1.0.5000.0
  2.0.0.0
  System.ComponentModel.DefaultValue(true)
- Method
  System.Void ``

  The method overrides the method. is used primarily by control developers.

  Raises the event and registers client script for generating postback.

  An that contains the event data. 1.0.5000.0 2.0.0.0
- Method
  System.Void ``

  The event is raised when an control is clicked.

  A Reset button does not raise the event.

  When you create an delegate, you identify the method that will handle the event. To associate the event with your event handler, add an instance of the delegate to the event. The event handler is called whenever the event occurs, unless you remove the delegate. For more information about event handler delegates, see Events and Delegates.

  Raises the event. This allows you to handle the event directly.

  A that contains the event data. 1.0.5000.0 2.0.0.0
- Method
  2.0.0.0
  System.Void ``

  The method is used by the control, when it is clicked, to raise a event.

  If the property is true, the method is called using the group of controls specified in the property.

  This method is used primarily by control developers extending the functionality of the control.

  Raises events for the control when it posts back to the server.

  The argument for the event.
- Method
  System.Void ``

  The method overrides the base .method. is used primarily by control developers.

  Renders the attributes into the specified writer and then calls the method.

  An that receives the rendered content. 1.0.5000.0 2.0.0.0
- Event
  System.EventHandler

  This event is raised when an control is clicked.

  A Reset button does not raise the event.

  For more information about handling events, see Consuming Events.

  Occurs when an control is clicked on the Web page.

  1.0.5000.0
  2.0.0.0
- Method
  1.0.5000.0
  2.0.0.0
  System.Void `` To be added.

  Implements the method by calling the method.

  A that represents an optional event argument to be passed to the event handler.
- Property
  2.0.0.0
  System.ComponentModel.DefaultValue("")
  System.String To be added.

  Validation groups allow you to assign validation controls on a page to a specific category. Each validation group can be validated independently from other validation groups on the page. Use the property to specify the name of the validation group for which the control causes validation when it posts back to the server.

  This property has an effect only when the value of the property is set to true. When you specify a value for the property, only the validation controls that are part of the specified group are validated when the control posts back to the server. If you do not specify a value for this property and the property is set to true, all validation controls on the page that are not assigned to a validation group are validated when the control posts back to the server.

  Gets or sets the group of controls for which the causes validation when it posts back to the server.